Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.cur
Class CUREncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiEncoderBase
                  |
                  +--com.sun.jimi.core.encoder.ico.ICOEncoder
                        |
                        +--com.sun.jimi.core.encoder.cur.CUREncoder

public class CUREncoder
extends ICOEncoder

Encoder pallette images into ICO format ICO is based upon DIB (Device Independent Bitmaps) a generalization of the BMP file format. ICO files consist of a directory of icons each of which points to a separate icon image

Fields inherited from class com.sun.jimi.core.encoder.ico.ICOEncoder
`BMPINFOHEADER_SIZE, currentOffset, destination, stateFlag, TYPE_FLAG`

Fields inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`currentImage, DONE, ERROR, factory, MAX_COLORS_RGB, MULTIIMAGE, NEXTIMAGE`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`CUREncoder()` The "resource id" flag

Method Summary
`void` | `clearProperties()`
`java.lang.Object` | `getPossibleValuesForProperty(java.lang.String name)`
`java.lang.String` | `getPropertyDescription(java.lang.String name)`
`java.util.Enumeration` | `getPropertyNames()`
`void` | `setHotspot(short x, short y)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`protected void` | `writeICOCURDIREntry(LEDataOutputStream destination, AdaptiveRasterImage anImage)`

Methods inherited from class com.sun.jimi.core.encoder.ico.ICOEncoder
`computeBitCount, computeImageSize, driveEncoder, freeEncoder, getState, initSpecificEncoder, writeBitmapInfoHeader, writeDIBImage, writeICOCURDirectory, writePixels, writeRGBQuads`

Methods inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`createAdaptiveRasterImage, createAdaptiveRasterImage, encodeImage, encodeImage, encodeImages, encodeImages, getCapabilties, getJimiImage, getMaxColors, setJimiImage, setNumberOfImages, setProgress`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CUREncoder

    public CUREncoder()

  The "resource id" flag

Method Detail

### writeICOCURDIREntry

    protected void writeICOCURDIREntry(LEDataOutputStream destination,
                                       AdaptiveRasterImage anImage)
                                throws JimiException,
                                       java.io.IOException

  Overrides:
    writeICOCURDIREntry in class ICOEncoder

### setHotspot

    public void setHotspot(short x,
                           short y)

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

### getPossibleValuesForProperty

    public java.lang.Object getPossibleValuesForProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws InvalidOptionException

### clearProperties

    public void clearProperties()

### getPropertyDescription

    public java.lang.String getPropertyDescription(java.lang.String name)
                                            throws InvalidOptionException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD